Subject: Re: bug#52342: [PATCH] Add Texinfo support for Flymake

From: Okamsn <[email-masked]>
Date: Fri, 15 Apr 2022 01:12:21 +0000

On 1/4/22 16:00, João Távora wrote:
> On Tue, Jan 4, 2022 at 8:21 PM Stefan Monnier <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Sorry for this late answer, you got stuck in a slow lane :-(
>
>      > Do you have any thoughts about the lazy loading of Flymake
>     features used
>      > in the patch discussed in this thread (re-attached for convenience)?
>
>     Looks fine to me.
>     [ The amount of work needed for `flymake-log` is a bit
>     disheartening, tho.
>        Not sure making it a macro is worth the trouble.  ]
>
>
> Yup, I wrote somewhere else that I think that part is a bit
> over-enginneered.
> The idea was/is to have it add the locus of the log call to the log entry.
> But I don't remember ever having used that functionality.
>
> So go ahead and make it an (autoloaded) function if you think it's best.
>
> João

Hello,

Are you still willing to add this Flymake checker for Texinfo?

Thank you.